# $Revision: 1.16 $, $Date: 2007/02/12 21:23:46 $
Summary:	An SDL port of the game Abuse
Summary(pl.UTF-8):	Port SDL gry Abuse
Name:		abuse_sdl
Version:	0.7.0
Release:	3
License:	GPL v2
Group:		X11/Applications/Games
#Source0Download: http://www.labyrinth.net.au/~trandor/abuse/
Source0:	http://www.labyrinth.net.au/~trandor/abuse/files/%{name}-%{version}.tar.bz2
# Source0-md5:	59ea4498886642aa975f04233cc92558
Source1:	http://www.labyrinth.net.au/~trandor/abuse/files/abuse_datafiles.tar.gz
# Source1-md5:	2b857668849b2dc7cd29cdd84a33c19e
Source2:	%{name}.desktop
Patch0:		%{name}-etc_dir.patch
URL:		http://www.labyrinth.net.au/~trandor/abuse/
BuildRequires:	SDL-devel >= 1.1.6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_abusedir	%{_datadir}/games/abuse

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or fullscreen,
and it has stereo sound with sound panning.

%description -l pl.UTF-8
Abuse-SDL to port Abuse, klasycznej gry Crack-Dot-Com, dla biblioteki
SDL. Może działać w dowolnej głębi koloru, w okienku lub na pełnym
ekranie, ma dźwięk stereo z panningiem.

%prep
%setup -q -a 1
%patch0 -p1

%build
sed -i -e "s:/usr/local/share/games/abuse:%{_abusedir}:" src/sdlport/setup.cpp
sed -i -e "s:(load \"lisp/ant.lsp\"):(load \"lisp/ant.lsp\")\n(load \"register/ant.lsp\"):" abuse.lsp
cp /usr/share/automake/config.sub .

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_abusedir}/{art,addon,levels,lisp,music,netlevel,register,sfx}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install abuse.png $RPM_BUILD_ROOT%{_pixmapsdir}

for dir in art addon levels lisp music netlevel register sfx
do
cp -R $dir $RPM_BUILD_ROOT%{_abusedir}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README* TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_abusedir}
%{_abusedir}/*.bmp
%{_abusedir}/*.png
%{_abusedir}/*.lsp
%{_abusedir}/sfx
%{_abusedir}/register
%{_abusedir}/netlevel
%{_abusedir}/music
%{_abusedir}/lisp
%{_abusedir}/levels
%{_abusedir}/art
%{_abusedir}/addon
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop
%{_mandir}/man6/*.6*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: abuse_sdl.spec,v $
Revision 1.16  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.14  2005/03/25 17:47:54  darekr
- BR: sed 4.0
- simplified %%files
- removed empty NEWS from %doc

Revision 1.13  2004/11/14 23:56:00  wolf
- amd64, rel 3

Revision 1.12  2004/06/15 21:13:43  freetz
- hey dj, it's for you baby: make it workin, some simlifications, rel.2

Revision 1.11  2004/01/04 22:15:30  ankry
- fixed md5

Revision 1.10  2004/01/04 19:05:22  averne
- updated to 0.7.0

Revision 1.9  2003/11/08 22:06:41  qboosh
- noted download URL

Revision 1.7  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.4  2003/03/22 20:06:10  juandon
- added home_etc.patch
- Release 2

Revision 1.3  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.2  2002/09/16 01:31:13  qboosh
- pl description, added missing dirs

Revision 1.1  2002/09/02 18:02:06  blues
- initial release - classic Abuse game. STBR
